summaryrefslogtreecommitdiffstats
path: root/libraries/dbus-sharp
diff options
context:
space:
mode:
author Donald Cooley <dfc@warpmail.net>2013-12-10 17:42:03 +0700
committer Erik Hanson <erik@slackbuilds.org>2013-12-14 10:53:03 -0600
commitaa4124f992fa22ee0e4ebb0490b19abe9050599f (patch)
treede1e459249d4f1417ff508170b152921707464ab /libraries/dbus-sharp
parentea3f6754cfa93f3457cbc686670c59d24638d7a4 (diff)
downloadslackbuilds-aa4124f992fa22ee0e4ebb0490b19abe9050599f.tar.gz
slackbuilds-aa4124f992fa22ee0e4ebb0490b19abe9050599f.tar.xz
libraries/dbus-sharp: Added (C# implementation of D-Bus).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries/dbus-sharp')
-rw-r--r--libraries/dbus-sharp/README7
-rw-r--r--libraries/dbus-sharp/dbus-sharp.SlackBuild111
-rw-r--r--libraries/dbus-sharp/dbus-sharp.info10
-rw-r--r--libraries/dbus-sharp/slack-desc19
4 files changed, 147 insertions, 0 deletions
diff --git a/libraries/dbus-sharp/README b/libraries/dbus-sharp/README
new file mode 100644
index 0000000000..98f48038fb
--- /dev/null
+++ b/libraries/dbus-sharp/README
@@ -0,0 +1,7 @@
+This is a fork of ndesk-dbus, which is a C# implementation of D-Bus.
+It's often referred to as "managed D-Bus" to avoid confusion with
+existing bindings (which wrap libdbus).
+
+D-Bus is an inter-process communication framework that lets applications
+interface with the system event bus as well as allowing them to talk to
+one another in a peer-to-peer configuration.
diff --git a/libraries/dbus-sharp/dbus-sharp.SlackBuild b/libraries/dbus-sharp/dbus-sharp.SlackBuild
new file mode 100644
index 0000000000..6d8be930ec
--- /dev/null
+++ b/libraries/dbus-sharp/dbus-sharp.SlackBuild
@@ -0,0 +1,111 @@
+#!/bin/sh
+
+# Slackware build script for dbus-sharp
+
+# Copyright 2013 Donald Cooley La Porte, IN USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=dbus-sharp
+VERSION=${VERSION:-0.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+if [ -e $CWD/v$VERSION.tar.gz ]; then
+ tar xvf $CWD/v$VERSION.tar.gz
+else
+ tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+fi
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# We set libdir to /usr/lib because that is where mono lives.
+# We will fix the pkgconfig location on 64bit later.
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./autogen.sh \
+ --prefix=/usr \
+ --libdir=/usr/lib \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Fix pkgconfig location on x86_64.
+if [ "$ARCH" = "x86_64" ]; then
+ mkdir -p $PKG/usr/lib64
+ mv $PKG/usr/lib/pkgconfig $PKG/usr/lib64
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/dbus-sharp/dbus-sharp.info b/libraries/dbus-sharp/dbus-sharp.info
new file mode 100644
index 0000000000..a6f8068975
--- /dev/null
+++ b/libraries/dbus-sharp/dbus-sharp.info
@@ -0,0 +1,10 @@
+PRGNAM="dbus-sharp"
+VERSION="0.7"
+HOMEPAGE="https://github.com/mono/dbus-sharp"
+DOWNLOAD="https://github.com/mono/dbus-sharp/archive/v0.7.tar.gz"
+MD5SUM="bf7d8b8ec6ede24457a3a9cb7d6b4b04"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="mono"
+MAINTAINER="Donald Cooley"
+EMAIL="dfc@warpmail.net"
diff --git a/libraries/dbus-sharp/slack-desc b/libraries/dbus-sharp/slack-desc
new file mode 100644
index 0000000000..25801b0922
--- /dev/null
+++ b/libraries/dbus-sharp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+dbus-sharp: dbus-sharp (C# implementation of D-Bus)
+dbus-sharp:
+dbus-sharp: This is a fork of ndesk-dbus, which is a C# implementation of D-Bus.
+dbus-sharp: It's often referred to as "managed D-Bus" to avoid confusion with
+dbus-sharp: existing bindings (which wrap libdbus).
+dbus-sharp:
+dbus-sharp: D-Bus is an inter-process communication framework that lets
+dbus-sharp: applications interface with the system event bus as well as
+dbus-sharp: allowing them to talk to one another in a peer-to-peer
+dbus-sharp: configuration.
+dbus-sharp: